@Book{okken2017python,
author = {Okken, Brian},
title = {Python testing with Pytest : simple, rapid, effective, and scalable},
publisher = {Pragmatic Bookshelf},
year = {2017},
address = {Raleigh, North Carolina},
isbn = {978-1-68050-240-4}
}

@Book{govindaraj_2015,
place={Birmingham, U.K.},
edition={1},
title={Test-driven Python development: develop high-quality and maintainable Python applications using the principles of test-driven development},
volume={1},
publisher={Packt Publishing},
author={Govindaraj, Siddharta},
year={2015}}

@Book{lutz2013learning,
author = {Lutz, Mark},
title = {Learning Python},
publisher = {O'Reilly},
year = {2013},
address = {Sebastopol, CA},
isbn = {978-1449355739}
}

@Book{xyce_reference_guide,
title = "{Xyce Parallel Electronic Simulator Reference Guide, Version 7.6}",
author = "Eric R. Keiter, Thomas V. Russo, Richard L. Schiek, Heidi K. Thornquist, Ting Mei, Jason C. Verley, Karthik V. Aadithya and Joshua D. Schickling",
organization = "{Sandia National Laboratories}",
address = "Albuquerque, New Mexico 87185, Livermore, California 94550",
year = "2022"
}
